%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-node-expat
Version:    2.1.4
Release:    5%{?dist}
Summary:    Fast libexpat XML SAX parser binding for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        http://github.com/astro/node-expat
Source0:    http://registry.npmjs.org/node-expat/-/node-expat-%{version}.tgz

Patch0:     %{name}-2.1.4-Use-system-expat.patch

BuildRequires:  expat-devel
BuildRequires:  nodejs-packaging
BuildRequires:  node-gyp
BuildRequires:  npm(nan) < 1

%if 0%{?enable_tests}
BuildRequires:  npm(vows)
%endif

%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches}
%else
ExclusiveArch: %{ix86} x86_64 %{arm}
%endif

%description
%{summary}.


%prep
%setup -q -n package
%patch0 -p1
rm -rf deps/
cp -p %{nodejs_sitelib}/nan@0/nan.h .

%nodejs_fixdep nan 0.8


%build
%nodejs_symlink_deps --check
export CXXFLAGS="%{optflags}"
node-gyp rebuild


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/node-expat
cp -pr package.json bench.js lib/ \
    %{buildroot}%{nodejs_sitelib}/node-expat
mkdir -p %{buildroot}%{nodejs_sitelib}/node-expat/build
install -p -m0755 build/Release/node_expat.node \
    %{buildroot}%{nodejs_sitelib}/node-expat/build/node_expat.node
sed -i -e 's|build/Release|build|g' \
    %{buildroot}%{nodejs_sitelib}/node-expat/lib/node-expat.js

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%__nodejs test.js
%endif


%files
%doc LICENSE README.markdown
%{nodejs_sitelib}/node-expat


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.1.4-4
- fix nan dep properly

* Sun May 25 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.1.4-3
- rebuild to use nodejs-nan0
- copy correct version of nan
- fix nan dep

* Mon Apr 21 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.1.4-2
- fix version of npm(nan) dependency

* Fri Apr 18 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.1.4-2
- update to upstream release 2.1.4

* Sun Jul 28 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.0.0-6
- add ExclusiveArch logic

* Wed Jun 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.0.0-5
- rebuild for missing npm(node-expat) provides on EL6

* Wed Mar 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.0.0-4
- remove v8 dependencies which are now automatic

* Tue Mar 12 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.0.0-3
- bump v8 version for nodejs-0.10.0

* Sun Mar 10 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.0.0-2
- fix file permissions
- link against system expat

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.0.0-1
- initial package
